diff --git a/ChangeLog.API b/ChangeLog.API
--- a/ChangeLog.API
+++ b/ChangeLog.API
@@ -331,7 +331,6 @@ version 3.0.0 (??/??/????):
 		* purple_account_set_public_alias
 		* purple_base16_*
 		* purple_base64_*. Use g_base64_* instead
-		* pidgin_blist_draw_tooltip
 		* purple_blist_get_ui_data
 		* purple_blist_load
 		* purple_blist_new
@@ -339,7 +338,6 @@ version 3.0.0 (??/??/????):
 		* purple_blist_node_set_ui_data
 		* purple_blist_set_ui_data
 		* purple_set_blist
-		* pidgin_blist_tooltip_destroy
 		* purple_blist_update_buddy_icon
 		* purple_buddy_get_local_alias
 		* purple_buddy_icons_has_custom_icon
@@ -578,7 +576,6 @@ version 3.0.0 (??/??/????):
 		* purple_time_build. Use g_date_time_new* instead.
 		* purple_time_format. Use g_date_time_format instead.
 		* purple_timeout_*. Use g_timeout_* or g_idle_* instead.
-		* pidgin_tooltip_setup_for_widget
 		* purple_txt_cancel
 		* purple_txt_resolve_account
 		* PurpleType, use GType instead.
@@ -691,6 +688,7 @@ version 3.0.0 (??/??/????):
 		* gtk_imhtml_image_free
 		* gtk_imhtml_image_new
 		* gtk_imhtml_image_scale
+		* pidgin_blist_draw_tooltip
 		* pidgin_blist_get_theme
 		* pidgin_blist_layout_get_type
 		* pidgin_blist_set_theme
@@ -728,6 +726,7 @@ version 3.0.0 (??/??/????):
 		* pidgin_blist_theme_set_status_text_info
 		* pidgin_blist_theme_set_unread_message_nick_said_text_info
 		* pidgin_blist_theme_set_unread_message_text_info
+		* pidgin_blist_tooltip_destroy
 		* pidgin_blist_update_account_error_state
 		* PidginBlistLayout
 		* PidginBuddyList.connection_errors
@@ -787,6 +786,13 @@ version 3.0.0 (??/??/????):
 		* pidgin_theme_font_set_font_face
 		* pidgin_toggle_sensitive, pidgin_toggle_sensitive_array, and
 		  pidgin_toggle_showhide; use g_object_bind_property instead
+		* PidginTooltipCreate
+		* PidginTooltipCreateForTree
+		* PidginTooltipPaint
+		* pidgin_tooltip_destroy
+		* pidgin_tooltip_setup_for_treeview
+		* pidgin_tooltip_setup_for_widget
+		* pidgin_tooltip_show
 		* PidginThemeFont
 		* struct _GtkIMHtmlAnimation
 		* struct _GtkIMHtmlFontDetail
diff --git a/doc/reference/pidgin/pidgin-docs.xml b/doc/reference/pidgin/pidgin-docs.xml
--- a/doc/reference/pidgin/pidgin-docs.xml
+++ b/doc/reference/pidgin/pidgin-docs.xml
@@ -86,7 +86,6 @@
       <xi:include href="xml/pidginstock.xml" />
       <xi:include href="xml/pidginstylecontext.xml" />
       <xi:include href="xml/pidgintalkatu.xml" />
-      <xi:include href="xml/pidgintooltip.xml" />
       <xi:include href="xml/pidginwindow.xml" />
   </part>
 
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -63,11 +63,8 @@
 #include "pidginpresenceicon.h"
 #include "pidginstock.h"
 #include "pidginstylecontext.h"
-#include "pidgintooltip.h"
 #include "pidginwindow.h"
 
-#define GTK_TOOLTIPS_VAR gtkconv->tooltips
-
 #define ADD_MESSAGE_HISTORY_AT_ONCE 100
 
 /*
diff --git a/pidgin/gtkroomlist.c b/pidgin/gtkroomlist.c
--- a/pidgin/gtkroomlist.c
+++ b/pidgin/gtkroomlist.c
@@ -30,7 +30,6 @@
 #include "gtkutils.h"
 #include "pidginaccountchooser.h"
 #include "pidginstock.h"
-#include "pidgintooltip.h"
 
 #define PIDGIN_TYPE_ROOMLIST_DIALOG (pidgin_roomlist_dialog_get_type())
 G_DECLARE_FINAL_TYPE(PidginRoomlistDialog, pidgin_roomlist_dialog, PIDGIN,
@@ -734,10 +733,7 @@ static void pidgin_roomlist_set_fields(P
 	g_signal_connect(G_OBJECT(tree), "button-press-event", G_CALLBACK(room_click_cb), list);
 	g_signal_connect(G_OBJECT(tree), "row-expanded", G_CALLBACK(row_expanded_cb), list);
 	g_signal_connect(G_OBJECT(tree), "row-activated", G_CALLBACK(row_activated_cb), list);
-#if 0 /* uncomment this when the tooltips are slightly less annoying and more well behaved */
-	g_signal_connect(G_OBJECT(tree), "motion-notify-event", G_CALLBACK(row_motion_cb), list);
-	g_signal_connect(G_OBJECT(tree), "leave-notify-event", G_CALLBACK(row_leave_cb), list);
-#endif
+
 	gtk_widget_set_has_tooltip(tree, TRUE);
 	g_signal_connect(G_OBJECT(tree), "query-tooltip",
 	                 G_CALLBACK(pidgin_roomlist_query_tooltip), list);
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -61,7 +61,6 @@ libpidgin_SOURCES = [
 	'pidginscrollbook.c',
 	'pidginstylecontext.c',
 	'pidgintalkatu.c',
-	'pidgintooltip.c',
 	'pidginwindow.c',
 	'prefs/pidginprefs.c',
 	'prefs/pidgincredentialproviderrow.c',
@@ -132,7 +131,6 @@ libpidgin_headers = [
 	'pidginscrollbook.h',
 	'pidginstylecontext.h',
 	'pidgintalkatu.h',
-	'pidgintooltip.h',
 	'pidginwindow.h',
 ]
 
diff --git a/pidgin/pidgintooltip.h b/pidgin/pidgintooltip.h
deleted file mode 100644
--- a/pidgin/pidgintooltip.h
+++ /dev/null
@@ -1,110 +0,0 @@
-/* pidgin
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
- */
-
-#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
-# error "only <pidgin.h> may be included directly"
-#endif
-
-#ifndef _PIDGIN_TOOLTIP_H_
-#define _PIDGIN_TOOLTIP_H_
-/**
- * SECTION:pidgintooltip
- * @section_id: pidgin-pidgintooltip
- * @short_description: <filename>pidgintooltip.h</filename>
- * @title: Pidgin Tooltip API
- */
-
-#include <gtk/gtk.h>
-
-/**
- * PidginTooltipCreateForTree:
- * @tipwindow:  The window for the tooltip.
- * @path:       The GtkTreePath representing the row under the cursor.
- * @userdata:   The userdata set during pidgin_tooltip_setup_for_treeview.
- * @w:          The value of this should be set to the desired width of the tooltip window.
- * @h:          The value of this should be set to the desired height of the tooltip window.
- *
- * Returns:  %TRUE if the tooltip was created correctly, %FALSE otherwise.
- */
-typedef gboolean (*PidginTooltipCreateForTree)(GtkWidget *tipwindow,
-			GtkTreePath *path, gpointer userdata, int *w, int *h);
-
-/**
- * PidginTooltipCreate:
- * @tipwindow:  The window for the tooltip.
- * @userdata:   The userdata set during pidgin_tooltip_show.
- * @w:          The value of this should be set to the desired width of the tooltip window.
- * @h:          The value of this should be set to the desired height of the tooltip window.
- *
- * Returns:  %TRUE if the tooltip was created correctly, %FALSE otherwise.
- */
-typedef gboolean (*PidginTooltipCreate)(GtkWidget *tipwindow,
-			gpointer userdata, int *w, int *h);
-
-/**
- * PidginTooltipPaint:
- * @tipwindow:   The window for the tooltip.
- * @cr:          The cairo context for drawing.
- * @userdata:    The userdata set during pidgin_tooltip_setup_for_treeview or pidgin_tooltip_show.
- *
- * Returns:  %TRUE if the tooltip was painted correctly, %FALSE otherwise.
- */
-typedef gboolean (*PidginTooltipPaint)(GtkWidget *tipwindow, cairo_t *cr,
-			gpointer userdata);
-
-G_BEGIN_DECLS
-
-/**
- * pidgin_tooltip_setup_for_treeview:
- * @tree: The treeview
- * @userdata: The userdata to send to the callback functions
- * @create_cb: (scope call): Callback function to create the tooltip for a GtkTreePath
- * @paint_cb: (scope call): Callback function to paint the tooltip
- *
- * Setup tooltip drawing functions for a treeview.
- *
- * Returns:   %TRUE if the tooltip callbacks were setup correctly.
- */
-gboolean pidgin_tooltip_setup_for_treeview(GtkWidget *tree, gpointer userdata,
-		PidginTooltipCreateForTree create_cb, PidginTooltipPaint paint_cb);
-
-/**
- * pidgin_tooltip_destroy:
- *
- * Destroy the tooltip.
- */
-void pidgin_tooltip_destroy(void);
-
-/**
- * pidgin_tooltip_show:
- * @widget:      The widget the tooltip is for
- * @userdata:    The userdata to send to the callback functions
- * @create_cb: (scope call): Callback function to create the tooltip from the GtkTreePath
- * @paint_cb: (scope call): Callback function to paint the tooltip
- *
- * Create and show a tooltip.
- */
-void pidgin_tooltip_show(GtkWidget *widget, gpointer userdata,
-		PidginTooltipCreate create_cb, PidginTooltipPaint paint_cb);
-
-G_END_DECLS
-
-#endif
diff --git a/pidgin/pidgintooltip.c b/pidgin/pidgintooltip.c
deleted file mode 100644
--- a/pidgin/pidgintooltip.c
+++ /dev/null
@@ -1,326 +0,0 @@
-/* pidgin
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
- */
-
-#include <glib/gi18n-lib.h>
-
-#include <purple.h>
-
-#include "pidgintooltip.h"
-
-static gboolean enable_tooltips;
-static int tooltip_delay = -1;
-
-struct
-{
-	GtkWidget *widget;
-	int timeout;
-	GdkRectangle tip_rect;
-	GtkWidget *tipwindow;
-	PidginTooltipPaint paint_tooltip;
-} pidgin_tooltip;
-
-typedef struct
-{
-	GtkWidget *widget;
-	gpointer userdata;
-	PidginTooltipPaint paint_tooltip;
-	PidginTooltipCreateForTree create_tooltip;
-	GtkTreePath *path;
-} PidginTooltipData;
-
-static void
-initialize_tooltip_delay()
-{
-	GtkSettings *settings;
-
-	if (tooltip_delay != -1)
-		return;
-
-	settings = gtk_settings_get_default();
-
-	g_object_get(settings, "gtk-enable-tooltips", &enable_tooltips, NULL);
-	g_object_get(settings, "gtk-tooltip-timeout", &tooltip_delay, NULL);
-}
-
-static void
-destroy_tooltip_data(PidginTooltipData *data)
-{
-	if (data->path) {
-		gtk_tree_path_free(data->path);
-	}
-	pidgin_tooltip_destroy();
-	g_free(data);
-}
-
-void pidgin_tooltip_destroy()
-{
-	if (pidgin_tooltip.timeout > 0) {
-		g_source_remove(pidgin_tooltip.timeout);
-		pidgin_tooltip.timeout = 0;
-	}
-	if (pidgin_tooltip.tipwindow) {
-		gtk_widget_destroy(pidgin_tooltip.tipwindow);
-		pidgin_tooltip.tipwindow = NULL;
-	}
-}
-
-static gboolean
-pidgin_tooltip_draw_cb(GtkWidget *widget, cairo_t *cr, gpointer data)
-{
-	GtkAllocation allocation;
-
-	gtk_widget_get_allocation(widget, &allocation);
-
-	if (pidgin_tooltip.paint_tooltip) {
-		GtkStyleContext *context = gtk_widget_get_style_context(widget);
-		gtk_style_context_add_class(context, GTK_STYLE_CLASS_TOOLTIP);
-		gtk_render_background(context, cr,
-		                      0, 0, allocation.width, allocation.height);
-		pidgin_tooltip.paint_tooltip(widget, cr, data);
-	}
-	return FALSE;
-}
-
-static GtkWidget*
-setup_tooltip_window(void)
-{
-	const char *name;
-	GtkWidget *tipwindow;
-
-	tipwindow = gtk_window_new(GTK_WINDOW_POPUP);
-	gtk_window_set_transient_for(GTK_WINDOW(tipwindow),
-	                             GTK_WINDOW(pidgin_tooltip.widget));
-	name = gtk_window_get_title(GTK_WINDOW(pidgin_tooltip.widget));
-	gtk_window_set_type_hint(GTK_WINDOW(tipwindow), GDK_WINDOW_TYPE_HINT_TOOLTIP);
-	gtk_widget_set_app_paintable(tipwindow, TRUE);
-	gtk_window_set_title(GTK_WINDOW(tipwindow), name ? name : _("Pidgin Tooltip"));
-	gtk_window_set_resizable(GTK_WINDOW(tipwindow), FALSE);
-	gtk_widget_set_name(tipwindow, "gtk-tooltips");
-	gtk_widget_ensure_style(tipwindow);
-	gtk_widget_realize(tipwindow);
-	return tipwindow;
-}
-
-static void
-setup_tooltip_window_position(gpointer data, int w, int h)
-{
-	int scr_w, scr_h, x, y, dy;
-	int preserved_x, preserved_y;
-	GdkDisplay *display = NULL;
-	GdkSeat *seat = NULL;
-	GdkMonitor *monitor = NULL;
-	GdkDevice *dev = NULL;
-	GdkRectangle mon_size;
-	GtkWidget *tipwindow = pidgin_tooltip.tipwindow;
-
-	display = gdk_display_get_default();
-	seat = gdk_display_get_default_seat(display);
-	dev = gdk_seat_get_pointer(seat);
-	gdk_device_get_position(dev, NULL, &x, &y);
-
-	monitor = gdk_display_get_monitor_at_point(display, x, y);
-	gdk_monitor_get_geometry(monitor, &mon_size);
-
-	scr_w = mon_size.width + mon_size.x;
-	scr_h = mon_size.height + mon_size.y;
-
-	dy = gdk_display_get_default_cursor_size(gdk_display_get_default()) / 2;
-
-	if (w > mon_size.width)
-		w = mon_size.width - 10;
-
-	if (h > mon_size.height)
-		h = mon_size.height - 10;
-
-	preserved_x = x;
-	preserved_y = y;
-
-	x -= ((w >> 1) + 4);
-
-	if ((y + h + 4) > scr_h)
-		y = y - h - dy - 5;
-	else
-		y = y + dy + 6;
-
-	if (y < mon_size.y)
-		y = mon_size.y;
-
-	if (y != mon_size.y) {
-		if ((x + w) > scr_w)
-			x -= (x + w + 5) - scr_w;
-		else if (x < mon_size.x)
-			x = mon_size.x;
-	} else {
-		x -= (w / 2 + 10);
-		if (x < mon_size.x)
-			x = mon_size.x;
-	}
-
-	/* If the mouse covered by the tipwindow, move the tipwindow
-	 * to the righ side of the it */
-	if ((preserved_x >= x) && (preserved_x <= (x + w))
-			&& (preserved_y >= y) && (preserved_y <= (y + h)))
-		x = preserved_x + dy;
-
-	gtk_widget_set_size_request(tipwindow, w, h);
-	gtk_window_move(GTK_WINDOW(tipwindow), x, y);
-	gtk_widget_show(tipwindow);
-
-	g_signal_connect(G_OBJECT(tipwindow), "draw",
-			G_CALLBACK(pidgin_tooltip_draw_cb), data);
-
-	/* Hide the tooltip when the widget is destroyed */
-	g_signal_connect_object(G_OBJECT(pidgin_tooltip.widget),
-			"destroy", G_CALLBACK(pidgin_tooltip_destroy),
-			G_OBJECT(tipwindow), 0);
-}
-
-void pidgin_tooltip_show(GtkWidget *widget, gpointer userdata,
-		PidginTooltipCreate create_tooltip, PidginTooltipPaint paint_tooltip)
-{
-	GtkWidget *tipwindow;
-	int w, h;
-
-	pidgin_tooltip_destroy();
-
-	pidgin_tooltip.widget = gtk_widget_get_toplevel(widget);
-	pidgin_tooltip.tipwindow = tipwindow = setup_tooltip_window();
-	pidgin_tooltip.paint_tooltip = paint_tooltip;
-
-	if (!create_tooltip(tipwindow, userdata, &w, &h)) {
-		pidgin_tooltip_destroy();
-		return;
-	}
-	setup_tooltip_window_position(userdata, w, h);
-}
-
-static void
-reset_data_treepath(PidginTooltipData *data)
-{
-	gtk_tree_path_free(data->path);
-	data->path = NULL;
-}
-
-static gboolean
-pidgin_tooltip_timeout(gpointer userdata)
-{
-	PidginTooltipData *data = (PidginTooltipData *)userdata;
-	GtkWidget *tipwindow;
-	GtkTreePath *path = NULL;
-	int w, h;
-
-	pidgin_tooltip.timeout = 0;
-
-	if (!gtk_tree_view_get_path_at_pos(GTK_TREE_VIEW(data->widget),
-				pidgin_tooltip.tip_rect.x,
-				pidgin_tooltip.tip_rect.y + (pidgin_tooltip.tip_rect.height/2),
-				&path, NULL, NULL, NULL)) {
-		pidgin_tooltip_destroy();
-		return FALSE;
-	}
-
-	if (data->path) {
-		if (gtk_tree_path_compare(data->path, path) == 0) {
-			gtk_tree_path_free(path);
-			return FALSE;
-		}
-		gtk_tree_path_free(data->path);
-		data->path = NULL;
-	}
-
-	pidgin_tooltip_destroy();
-
-	pidgin_tooltip.widget = gtk_widget_get_toplevel(data->widget);
-	pidgin_tooltip.tipwindow = tipwindow = setup_tooltip_window();
-	pidgin_tooltip.paint_tooltip = data->paint_tooltip;
-
-	if (!data->create_tooltip(tipwindow, path, data->userdata, &w, &h)) {
-		if (tipwindow == pidgin_tooltip.tipwindow)
-			pidgin_tooltip_destroy();
-		gtk_tree_path_free(path);
-		return FALSE;
-	}
-
-	setup_tooltip_window_position(data->userdata, w, h);
-
-	data->path = path;
-	g_signal_connect_swapped(G_OBJECT(pidgin_tooltip.tipwindow), "destroy",
-			G_CALLBACK(reset_data_treepath), data);
-
-	return FALSE;
-}
-
-static gboolean
-row_motion_cb(GtkWidget *tv, GdkEventMotion *event, gpointer userdata)
-{
-	GtkTreePath *path;
-
-	if (event->window != gtk_tree_view_get_bin_window(GTK_TREE_VIEW(tv)))
-		return FALSE;    /* The cursor is probably on the TreeView's header. */
-
-	initialize_tooltip_delay();
-	if (!enable_tooltips)
-		return FALSE;
-
-	if (pidgin_tooltip.timeout) {
-		if ((event->y >= pidgin_tooltip.tip_rect.y) && ((event->y - pidgin_tooltip.tip_rect.height) <= pidgin_tooltip.tip_rect.y))
-			return FALSE;
-		/* We've left the cell.  Remove the timeout and create a new one below */
-		pidgin_tooltip_destroy();
-	}
-
-	gtk_tree_view_get_path_at_pos(GTK_TREE_VIEW(tv), event->x, event->y, &path, NULL, NULL, NULL);
-
-	if (path == NULL) {
-		pidgin_tooltip_destroy();
-		return FALSE;
-	}
-
-	gtk_tree_view_get_cell_area(GTK_TREE_VIEW(tv), path, NULL, &pidgin_tooltip.tip_rect);
-	gtk_tree_path_free(path);
-
-	pidgin_tooltip.timeout = g_timeout_add(tooltip_delay, (GSourceFunc)pidgin_tooltip_timeout, userdata);
-
-	return FALSE;
-}
-
-static gboolean
-widget_leave_cb(GtkWidget *tv, GdkEvent *event, gpointer userdata)
-{
-	pidgin_tooltip_destroy();
-	return FALSE;
-}
-
-gboolean pidgin_tooltip_setup_for_treeview(GtkWidget *tree, gpointer userdata,
-		PidginTooltipCreateForTree create_tooltip, PidginTooltipPaint paint_tooltip)
-{
-	PidginTooltipData *tdata = g_new0(PidginTooltipData, 1);
-	tdata->widget = tree;
-	tdata->userdata = userdata;
-	tdata->create_tooltip = create_tooltip;
-	tdata->paint_tooltip = paint_tooltip;
-
-	g_signal_connect(G_OBJECT(tree), "motion-notify-event", G_CALLBACK(row_motion_cb), tdata);
-	g_signal_connect(G_OBJECT(tree), "leave-notify-event", G_CALLBACK(widget_leave_cb), NULL);
-	g_signal_connect(G_OBJECT(tree), "scroll-event", G_CALLBACK(widget_leave_cb), NULL);
-	g_signal_connect_swapped(G_OBJECT(tree), "destroy", G_CALLBACK(destroy_tooltip_data), tdata);
-	return TRUE;
-}
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -373,7 +373,6 @@ pidgin/pidginscrollbook.c
 pidgin/pidginstock.c
 pidgin/pidginstylecontext.c
 pidgin/pidgintalkatu.c
-pidgin/pidgintooltip.c
 pidgin/pidginwindow.c
 pidgin/plugins/disco/gtkdisco.c
 pidgin/plugins/disco/resources/disco.ui
